package exception;

/**
 * <p>Title: ClienteJaCadastradoException</p>
 * <p>Description: Exceo levantada quando um cliente j est no cadastro. </p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: </p>
 * @author Rafael Cavalcanti Ortolan
 * @version 1.0
 */

public class ClienteJaCadastradoException extends Exception {

    public ClienteJaCadastradoException() {
    }

    /**
     * Mensagem de erro.
     *
     * @return uma string informando que o cliente j consta no cadastro.
     */
    public String getMessage() {
        return "Cliente j cadastrado.";
    }
}