package exception;

/**
 * <p>Title: ProdutoJaCadastradoException</p>
 * <p>Description: Exceo levantada quando um produto j est no cadastro. </p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: </p>
 * @author Mayerber Carvalho Neto
 * @version 1.0
 */

public class ProdutoJaCadastradoException extends Exception {

    public ProdutoJaCadastradoException() {
    }

    /**
     * Mensagem de erro.
     *
     * @return uma string informando que o produto j consta no cadastro.
     */
    public String getMessage() {
        return "Produto j cadastrado.";
    }
}