package gui;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import funcionario.Funcionario;
import util.DadosResidenciais;
import fachada.Fachada;
;


/**
 * <p>Title: FrameCadastroFuncionario</p>
 * <p>Description: Frame de cadastro de funcionrios</p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: </p>
 * @author Thiago Arajo
 * @version 1.0
 */

public class FrameCadastroFuncionario extends JFrame {
    JLabel lblNome = new JLabel();
    JLabel lblTelefone = new JLabel();
    JLabel lblCidade = new JLabel();
    JLabel lblLogin = new JLabel();
    JLabel lblSenha = new JLabel();
    JLabel lblCargo = new JLabel();
    JLabel lblConfirmacao = new JLabel();
    JLabel lblEndereco = new JLabel();
    JLabel lblReferencia = new JLabel();
    JTextField edtNome = new JTextField();
    JTextField edtEndereco = new JTextField();
    JTextField edtCidade = new JTextField();
    JTextField edtTelefone = new JTextField();
    JTextField edtReferencia = new JTextField();
    JComboBox cmbCargo = new JComboBox();
    JTextField edtLogin = new JTextField();
    JPasswordField edtSenha = new JPasswordField();
    JPasswordField edtConfirmacao = new JPasswordField();
    JButton btnOk = new JButton();
    JButton btnCancelar = new JButton();
    JButton btnLimpar = new JButton();
    JLabel lblSalario = new JLabel();
    JTextField edtSalario = new JTextField();
    JLabel lblRS = new JLabel();
    JLabel lblBairro = new JLabel();
    JTextField edtBairro = new JTextField();

    private boolean newFlag;
    private boolean FuncInicial;
    private Fachada fachada;
    private Funcionario operador;

    public FrameCadastroFuncionario(Fachada fachada, Funcionario operador,
            boolean newFlag, boolean FuncInicial) {
        try {
            jbInit();
            this.newFlag = newFlag;
            this.operador = operador;
            this.fachada = fachada;
            this.FuncInicial = FuncInicial;
            cmbCargo.addItem("Caixa");
            cmbCargo.addItem("Cozinheiro");
            cmbCargo.addItem("Entregador");
            cmbCargo.addItem("Gerente");
        }
        catch(Exception e) {
            e.printStackTrace();
        }
    }

    public static void main(String[] args) {

    }
    private void jbInit() throws Exception {
        lblNome.setText("Nome:");
        lblNome.setBounds(new Rectangle(27, 22, 44, 23));
        this.getContentPane().setLayout(null);
        lblTelefone.setText("Tel:");
        lblTelefone.setBounds(new Rectangle(292, 23, 25, 21));
        lblCidade.setText("Cidade:");
        lblCidade.setBounds(new Rectangle(233, 85, 48, 23));
        lblLogin.setText("Login:");
        lblLogin.setBounds(new Rectangle(28, 264, 43, 21));
        lblSenha.setText("Senha:");
        lblSenha.setBounds(new Rectangle(28, 297, 47, 22));
        lblCargo.setText("Cargo:");
        lblCargo.setBounds(new Rectangle(27, 172, 49, 22));
        lblConfirmacao.setText("Confirmao:");
        lblConfirmacao.setBounds(new Rectangle(214, 298, 82, 21));
        lblEndereco.setText("Endereo:");
        lblEndereco.setBounds(new Rectangle(27, 55, 59, 22));
        lblReferencia.setText("Referncia:");
        lblReferencia.setBounds(new Rectangle(27, 119, 69, 24));
        edtNome.setText("Thiago Teixeira de Arajo");
        edtNome.setBounds(new Rectangle(103, 22, 183, 22));
        edtEndereco.setText("Av. Boa Viagem 914, apto 901");
        edtEndereco.setBounds(new Rectangle(103, 55, 298, 22));
        edtCidade.setText("Recife");
        edtCidade.setBounds(new Rectangle(278, 86, 123, 21));
        edtTelefone.setText("81 92627236");
        edtTelefone.setBounds(new Rectangle(319, 22, 82, 22));
        edtReferencia.setText("Prximo ao prdio que fica ao lado do referido");
        edtReferencia.setBounds(new Rectangle(103, 120, 298, 22));
        cmbCargo.setBounds(new Rectangle(103, 173, 195, 22));
        edtLogin.setText("bebosim");
        edtLogin.setBounds(new Rectangle(103, 263, 103, 22));
        edtSenha.setText("testedesenha");
        edtSenha.setBounds(new Rectangle(102, 296, 104, 24));
        edtConfirmacao.setText("testedesenha");
        edtConfirmacao.setBounds(new Rectangle(297, 296, 104, 24));
        btnOk.setBounds(new Rectangle(70, 339, 89, 30));
        btnOk.setText("OK");
        btnOk.addActionListener(new FrameCadastroFuncionario_btnOk_actionAdapter
            (this));
        btnCancelar.setBounds(new Rectangle(270, 339, 89, 30));
        btnCancelar.setText("Cancelar");
        btnCancelar.addActionListener(new
            FrameCadastroFuncionario_btnCancelar_actionAdapter(this));
        this.setResizable(false);
        this.setTitle("Cadastro de Funcionrio");
        btnLimpar.setBounds(new Rectangle(170, 340, 89, 30));
        btnLimpar.setText("Limpar");
        btnLimpar.addActionListener(new
            FrameCadastroFuncionario_btnLimpar_actionAdapter(this));
        lblSalario.setText("Salrio:");
        lblSalario.setBounds(new Rectangle(27, 209, 51, 17));
        edtSalario.setText("1000");
        edtSalario.setBounds(new Rectangle(127, 207, 171, 22));
        lblRS.setText("R$");
        lblRS.setBounds(new Rectangle(103, 209, 22, 17));
        lblBairro.setText("Bairro:");
        lblBairro.setBounds(new Rectangle(25, 90, 41, 17));
        edtBairro.setText("Boa Viagem");
        edtBairro.setBounds(new Rectangle(103, 86, 126, 21));
        this.getContentPane().add(lblNome, null);
        this.getContentPane().add(lblReferencia, null);
        this.getContentPane().add(lblEndereco, null);
        this.getContentPane().add(edtReferencia, null);
        this.getContentPane().add(edtNome, null);
        this.getContentPane().add(edtEndereco, null);
        this.getContentPane().add(lblCargo, null);
        this.getContentPane().add(cmbCargo, null);
        this.getContentPane().add(lblSalario, null);
        this.getContentPane().add(edtSalario, null);
        this.getContentPane().add(edtLogin, null);
        this.getContentPane().add(edtConfirmacao, null);
        this.getContentPane().add(lblLogin, null);
        this.getContentPane().add(edtSenha, null);
        this.getContentPane().add(lblSenha, null);
        this.getContentPane().add(lblConfirmacao, null);
        this.getContentPane().add(btnOk, null);
        this.getContentPane().add(btnCancelar, null);
        this.getContentPane().add(btnLimpar, null);
        this.getContentPane().add(lblRS, null);
        this.getContentPane().add(edtTelefone, null);
        this.getContentPane().add(lblBairro, null);
        this.getContentPane().add(edtBairro, null);
        this.getContentPane().add(lblTelefone, null);
        this.getContentPane().add(edtCidade, null);
        this.getContentPane().add(lblCidade, null);
    }

    public void btnOk_actionPerformed(ActionEvent e) {
        Funcionario f;
        DadosResidenciais d;

        if (new String(edtSenha.getPassword()).equals(
                new String(edtConfirmacao.getPassword()))) {
            try {
                d = new DadosResidenciais(edtEndereco.getText(),edtTelefone.
                    getText(), edtBairro.getText(),edtReferencia.getText(),
                    edtCidade.getText());
                f = new Funcionario(edtNome.getText(), d, (new Float(edtSalario.
                    getText())).floatValue(), cmbCargo.getSelectedIndex(),
                    edtLogin.getText(), new String(edtSenha.getPassword()));
                if (newFlag) {
                    try {
                        if (FuncInicial) {
                            fachada.inserirInicial(f);
                            this.dispose();
                        } else {
                            fachada.inserir(operador, f);
                            this.dispose();
                        }
                    } catch (IllegalArgumentException ex) {
                        JOptionPane.showMessageDialog(this, ex.getMessage(),
                        "Pizza Delivery",0);
                    }
                } else {
                    try {
                        fachada.atualizar(operador, f);
                        this.dispose();
                    } catch (IllegalArgumentException ex) {
                        JOptionPane.showMessageDialog(this,ex.getMessage(),
                        "Pizza Delivery",0);
                    }
                }
            } catch (NumberFormatException ex) {
                JOptionPane.showMessageDialog(this, "Formato de nmero " +
                    "invlido", "Pizza Delivery",0);
            } catch (IllegalArgumentException ex) {
                JOptionPane.showMessageDialog(this,ex.getMessage(),
                "Pizza Delivery",0);
            }
        } else {
            JOptionPane.showMessageDialog(this, "Senha diferente da " +
                "confirmao. Tente novamente.", "Pizza Delivery",0);
            edtSenha.setText("");
            edtConfirmacao.setText("");
        }
    }
    public void btnLimpar_actionPerformed(ActionEvent e) {
        edtNome.setText("");
        edtEndereco.setText("");
        edtTelefone.setText("");
        edtBairro.setText("");
        edtCidade.setText("");
//        cmbCargo
        edtLogin.setText("");
        edtSenha.setText("");
        edtConfirmacao.setText("");
        edtReferencia.setText("");
        edtSalario.setText("");
    }
    public void btnCancelar_actionPerformed(ActionEvent e) {
        this.dispose();
    }
}
class FrameCadastroFuncionario_btnOk_actionAdapter implements java.awt.event.
        ActionListener {
    FrameCadastroFuncionario adaptee;

    FrameCadastroFuncionario_btnOk_actionAdapter(FrameCadastroFuncionario adaptee) {
        this.adaptee = adaptee;
    }
    public void actionPerformed(ActionEvent e) {
        adaptee.btnOk_actionPerformed(e);
    }
}

class FrameCadastroFuncionario_btnLimpar_actionAdapter implements java.awt.
        event.ActionListener {
    FrameCadastroFuncionario adaptee;

    FrameCadastroFuncionario_btnLimpar_actionAdapter(FrameCadastroFuncionario
            adaptee) {
        this.adaptee = adaptee;
    }
    public void actionPerformed(ActionEvent e) {
        adaptee.btnLimpar_actionPerformed(e);
    }
}

class FrameCadastroFuncionario_btnCancelar_actionAdapter implements java.awt.
        event.ActionListener {
    FrameCadastroFuncionario adaptee;

    FrameCadastroFuncionario_btnCancelar_actionAdapter(FrameCadastroFuncionario
            adaptee) {
        this.adaptee = adaptee;
    }
    public void actionPerformed(ActionEvent e) {
        adaptee.btnCancelar_actionPerformed(e);
    }
}