package exception;

import funcionario.RepositorioFuncionarios;

/**
 * <p>Title: RepositorioFuncionariosVazioException </p>
 * <p>Description: Excesso causada por lista vazia de funcionarios </p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: VIP Team</p>
 * @author Thiago Arajo
 * @version 1.0
 */

public class RepositorioFuncionariosVazioException extends Exception {
    private String message;

    public RepositorioFuncionariosVazioException(String message) {
        this.message = message;
    }

    public String getMessage() {
        return message;
    }
}