package util;

/**
 * Title: Interface Iterator
 * Description: Iterador do sistema.
 * Copyright: Copyright (c) 2002
 * Company: VIP Team
 * @author VIP Team
 * @version 1.0
 */

public interface Iterator {


     /**
     * Retorna um boolean dizendo se existe um proximo elemento.
     *
     * @return    boolean dizendo se existe um proximo elemento.
     */
    public boolean hasNext();

    /**
     * Retorna um object que representa o proximo elemento.
     *
     * @return    object que representa o proximo elemento.
     */
    public Object next();

}